Skip to main content

Statistics endpoints

GET /statistics/coin

Returns MLT supply statistics:

curl https://api-server.mintlayer.org/api/v2/statistics/coin
{
"burned": { "atoms": "451000000000000", "decimal": "4510" },
"circulating_supply": { "atoms": "51095609900000000000", "decimal": "510956099" },
"preminted": { "atoms": "40000000000000000000", "decimal": "400000000" },
"staked": { "atoms": "18923740491080455517", "decimal": "189237404.91080455517" }
}

All amounts follow the atoms/decimal convention.

GET /statistics/token/{id}

Returns the same statistics for a specific token, identified by its bech32 token ID (mmltk1...):

{
"burned": { "atoms": "0", "decimal": "0" },
"circulating_supply": { "atoms": "0", "decimal": "0" },
"preminted": { "atoms": "0", "decimal": "0" },
"staked": { "atoms": "0", "decimal": "0" },
"total_supply": { "atoms": "0", "decimal": "0" }
}

Go SDK

coin, err := client.Indexer.GetCoinStatistics(ctx)        // GET /statistics/coin
tok, err := client.Indexer.GetTokenStatistics(ctx, id) // GET /statistics/token/:id

See the indexer client reference.